Skip to main content
`Ctrl`+`K`

# PCBJKOKKOSGetKSP

Gets the `KSP` context for the `PCBJKOKKOS` preconditioner

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCBJKOKKOSGetKSP(PC pc, KSP *ksp)

Not Collective but `KSP` returned is parallel if `PC` was parallel

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- ksp - the `KSP` solver

## Notes

You must call `KSPSetUp()` before calling `PCBJKOKKOSGetKSP()`.

If the `PC` is not a `PCBJKOKKOS` object it raises an error

## See Also

KSP: Linear System Solvers, `PCBJKOKKOS`, `PCBJKOKKOSSetKSP()`

## Level

advanced

## Location

src/ksp/pc/impls/bjacobi/bjkokkos/bjkokkos.kokkos.cxx

## Implementations

PCBJKOKKOSGetKSP_BJKOKKOS() in src/ksp/pc/impls/bjacobi/bjkokkos/bjkokkos.kokkos.cxx

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages